﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Forms.Integration;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FromWinFormsToWpf
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
      Loaded += MainWindow_Loaded;
    }

    void MainWindow_Loaded(object sender, RoutedEventArgs e)
    {
#if true_
      var host =(WindowsFormsHost) FindName("winFromsHost");
      if (host!=null)
      {
        var userControl = new WinForms.WinFormsSampleUserControl1();
        host.Child = userControl;
      }
#endif
    }

    
    private void WfModalSampleDialog1_Click(object sender, RoutedEventArgs e)
    {
      var dialog = new WinForms.WinFormsSampleDialog1();
      dialog.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
      dialog.ShowDialog();
    }

    private void WfModelessSampleDialog1_Click(object sender, RoutedEventArgs e)
    {
      var dialog = new WinForms.WinFormsSampleDialog1();
      dialog.Show();
    }

    private void WpfModalSampleDialog1_Click(object sender, RoutedEventArgs e)
    {
      var dialog = new WpfControls.WpfSampleDialog1();
      dialog.Owner = this;
      dialog.ShowDialog();
    }

    private void WpfModelessSampleDialog1_Click(object sender, RoutedEventArgs e)
    {
      var dialog = new WpfControls.WpfSampleDialog1();
      dialog.Owner = this;
      dialog.Show();
    }

    private void WpfModalDialogWithWinForms_Click(object sender, RoutedEventArgs e)
    {
      var dialog = new Wpf.WpfWinFormsSampleDialog();
      dialog.Owner = this;
      dialog.ShowDialog();
    }

    private void WpfModelessDialogWithWinForms_Click(object sender, RoutedEventArgs e)
    {
      var dialog = new Wpf.WpfWinFormsSampleDialog();
      dialog.Owner = this;
      dialog.Show();
    }
  }
}
