﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Input;

namespace FromWinFormsToWpf.ViewModel
{
  /// <summary>
  /// Root singleton of all view model objects.
  /// </summary>
  class ApplicationViewModel
  {
    /// <summary>
    /// Initializes a new instance of the <see cref="ApplicationViewModel"/> class.
    /// </summary>
    private ApplicationViewModel()
    { }

    /// <summary>
    /// Initializes the single ApplicationViewModel.
    /// </summary>
    internal static void Initialize()
    {
      if (_applicationViewModel != null)
        throw new InvalidOperationException("Only one MainProcess must exist.");
      _applicationViewModel = new ApplicationViewModel();
    }

    /// <summary>
    /// The current instance of ApplicationViewModel.
    /// </summary>
    public static ApplicationViewModel Current
    {
      get
      {
        // To prevent crash of Expression Blend check IsInDesignMode
        // Debug.Assert(DesignerProperties.IsInDesignTool || _mainProcess != null);
        return _applicationViewModel;
      }
    }
    static ApplicationViewModel _applicationViewModel;


    public static RoutedCommand WinFormsSampleDialog1 = new RoutedCommand();
    public static RoutedCommand WpfSampleDialog1 = new RoutedCommand();


    // ExecutedRoutedEventHandler for the custom color command.
    private void WinFormsSampleDialog1CmdExecuted(object sender, ExecutedRoutedEventArgs e)
    {
      var target = e.Source as Window;
      if (target != null)
      {
        var dialog = new WpfControls.WpfSampleDialog1();
        dialog.ShowDialog();
      }
    }

    void CmdCanExecuteAlways(object sender, CanExecuteRoutedEventArgs e)
    {
      e.CanExecute = true;
    }
  }
}
