﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Integration;
using System.Windows.Interop;

namespace WinFormsApplication
{
  public partial class MainWindow : Form
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void WpfModalDialogToolStripMenuItem_Click(object sender, EventArgs e)
    {
      var dialog = new WpfControls.WpfSampleDialog1();
      new WindowInteropHelper(dialog) { Owner = Handle };
      dialog.ShowDialog();
    }

    private void WpfModelessDialogToolStripMenuItem_Click(object sender, EventArgs e)
    {
      var dialog = new WpfControls.WpfSampleDialog1();
      new WindowInteropHelper(dialog) { Owner = Handle };
      dialog.Show();
    }

    private void WinFormsDialogWithWpfToolStripMenuItem_Click(object sender, EventArgs e)
    {
      var dialog = new WinFromWpfDialog();
      dialog.ShowDialog();
    }

    private void WinFormsModelessDialogWithWpfToolStripMenuItem_Click(object sender, EventArgs e)
    {
      var dialog = new WinFromWpfDialog { Owner = this };
      dialog.Show();
    }

    private void MainWindow_Load(object sender, EventArgs e)
    {
      // Create the ElementHost control for hosting the WPF UserControl
      var host = new ElementHost { Dock = DockStyle.Fill };

      // Create the WPF UserControl
      var uc = new WpfControls.WpfSampleControl3D();

      // Assign the WPF UserControl to the ElementHost control's Child property.
      host.Child = uc;

      // Add the ElementHost control to the form's collection of child controls.
      Controls.Add(host);
    }

  }
}
